User Tools

Site Tools


meta-compat

Table of Contents

# $EPIC: meta-compat.txt,v 1.2 2007/02/20 02:39:55 jnelson Exp $

Synopsis:

load meta-compat
bind <sequence> <action>

Description:

Older versions of the client did not have the ability to bind arbitrary strings. Instead, there was a state machine that you could control to handle complex sequences. Although the client has not required manual control of the state machine since epic4pre2.001, older scripts may often still try to control the state machine when they bind things like “META2-[” or whatever. These scripts don't work any more.

If you need to load an old script that sets up keybindings by binding the meta states, you can load this script first, and it automagically takes care of the details. It uses black magic, you don't want to know. It's a good idea to update old scripts to not use meta states.

History:

This script was written by the master of ircII black magic, |Rain|, and first appeared in epic4-1.2.5.

meta-compat.txt · Last modified: 2007/02/20 02:39 (external edit)